GROUPDEL(8)

NAME
groupdel - delete a group

SYNOPSIS

groupdel [options] GROUP

DESCRIPTION

The groupdel command modifies the system account files, deleting all entries that refer to GROUP. The named group must exist.

OPTIONS

The options which apply to the groupdel command are:

-h, --help
    Display help message and exit.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

CAVEATS

You may not remove the primary group of any existing user. You must remove the user before you remove the group.

You should manually check all file systems to ensure that no files remain owned by this group.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite). You should not use this variable unless you really need it.

FILES

/etc/group
    Group account information.

/etc/gshadow
    Secure group account information.

EXIT VALUES

The groupdel command exits with the following values:

0
    success

2
    invalid command syntax

6
    specified group doesn't exist

8
    can't remove user's primary group

10
    can't update group file

SEE ALSO

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupmod(8), useradd(8), userdel(8), usermod(8).